import { jsx } from "react/jsx-runtime";
import { CodeBlock as CodeBlock$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const CodeBlock = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "CodeBlock", ...props, children: /* @__PURE__ */ jsx(CodeBlock$1, { weight: variant }) });
  }
);
CodeBlock.displayName = "CodeBlock";
Object.assign(CodeBlock, { isGdsIcon: true });
export {
  CodeBlock
};
